@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
body {
  background-image: url(../img/background-sample-start.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center left;
  width: 100%;
  height: 100%;
  font-family: "Roboto", sans-serif;
}
p {
  line-height: 1.5;
}
.red {
  color: #960000 !important;
  text-shadow: 1px 1px 2px #eee;
}
.purple {
  color: #8f1e76;
  text-decoration: none;
}

/* Logo */

.logo {
  z-index: 20;
  position: fixed;
  margin: 15px;
}
.logo a {
  text-decoration: none;
  font-size: 2rem;
  font-family: "Roboto", sans-serif;
  font-weight: 700;
  color: #222;
  text-shadow: 1px 0px 1px #fd3c46;
}
a.mpalah-logo {
  text-shadow: none;
  text-transform: uppercase;
  font-size: 1.7rem;
  color: #101010;
}
a.howeeky-logo {
  text-shadow: none;
  text-transform: uppercase;
  font-size: 1.5rem;
}

.logo img {
  height: 66px;
  transition: 0.4s;
}

/* Navigation menu */

nav {
  z-index: 10;
  padding: 24px 16px;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  position: fixed;
  width: 100%;
  transition: 0.6s;
}

nav.scrolled {
  background: #ffffff;
  box-shadow: 0px 4px 4px 0px rgba(50, 50, 50, 0.1);
}
nav.scrolled ul a {
  color: #101010;
  text-shadow: 1px 1px 1px #ffffff;
}

nav.scrolled + .logo img {
  height: 50px;
}

nav ul {
  display: flex;
  justify-content: flex-end;
  list-style: none;
}

nav ul a {
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: 28px;
  text-decoration: none;
  color: #101010;
  margin: 0 32px;
  font-size: 14px;
  text-transform: uppercase;
}

nav ul a:hover {
  color: #8f1e76;
  cursor: pointer;
  text-decoration: none;
}

/* Header */

header {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url(../img/banner/bg-bus-1.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}

header h1 {
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  text-transform: uppercase;
  color: #ffffff;
  font-size: 100px;
  text-shadow: 1px 2px 8px #000;
}
i {
  transition: 0.4s;
  padding: 0 8px;
  cursor: pointer;
}

i:hover {
  transform: scale(1.3);
}
/* ===statement=== */
#statement {
  padding: 100px 0;
}
#statement img {
  width: 100%;
}
#statement .icon {
  margin: 30px 0px 28px;
  /* font-size: 62px;
  color: #960000; */
}
#statement .icon-title {
  color: #a30000;
  font-size: 1.5rem;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-weight: 700;
  line-height: 36px;
  margin: 20px 0px 30px;
  text-align: center;
  text-transform: uppercase;
}

.title > h4 a {
  color: #a30000;
  font-size: 1em;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-weight: 700;
}
.title > h4 a:hover {
  text-decoration: none;
}

.icon-description {
  text-align: justify;
}

/* ====intro=== */
#intro {
  background: #8f1e76;
  padding: 100px 0;
  color: #ffffff;
}
#intro img {
  width: 100%;
}
.img {
  background: linear-gradient(
    rgba(255, 255, 255, 0.9),
    rgba(255, 255, 255, 0.952)
  );
  box-shadow: 0px 4px 4px 0px rgba(255, 255, 255, 0.9);
}
.title_intro h2 {
  margin: 0px 0px 20px;
  font-size: 3.7rem;
  line-height: 80px;
  text-transform: uppercase;
}

.text-intro {
  font-size: 1rem;
  font-family: "Roboto Slab", Arial, Helvetica, sans-serif;
  margin: 0px 0px 40px;
  line-height: 24px;
  text-align: justify;
}
a.btn-booking {
  background: #101010;
  border: none;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: 1.3rem;
  line-height: 30px;
  color: #ffffff;
  outline: none;
  padding: 13px 16px 13px;
  text-transform: uppercase;
}

/* ---service-bus-coach---new style---- */
.service-bus-coach img {
  width: 100%;
}
.coach-title h2 {
  color: #8f1e76;
}

/* ----more-services add new style--- */
#more-services {
  padding-bottom: 100px;
}
#more-services img {
  width: 100%;
}

.service-img {
  position: relative;
}
.service-images {
  display: block;
}
.service__overlay {
  position: absolute;
  top: 0;
  left: 0px;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  color: #ffffff;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.25s;
}
.service__overlay > * {
  transform: translateY(20px);
  transition: transform 0.25s;
}
.service__overlay:hover > * {
  transform: translateY(0px);
}
.service__overlay:hover {
  opacity: 1;
  cursor: pointer;
}
.service__title {
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: 2em;
  font-weight: bold;
}
.service__description {
  font-size: 1.25em;
  margin-top: 0.25em;
}
.service__description .btn {
  background: #8f1e76;
  color: #ffffff;
  outline: none;
  border: none;
  border-radius: 0;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-weight: 500;
}
.box {
  background: #8f1e76;
  padding: 20px 10px 20px;
  text-align: center;
  margin-bottom: 40px;
}
#more-services h4 a {
  color: #ffffff;
  font-weight: 500;
  font-size: 1em;
  text-transform: uppercase;
}
#more-services h4 a:hover {
  text-decoration: none;
  cursor: pointer;
}
.more-services h4 a {
  color: #ffffff;
  font-weight: 500;
  font-size: 1em;
  text-transform: uppercase;
}
.more-services h4 a:hover {
  cursor: pointer;
  text-decoration: none;
}

/* ====services==== */
#services {
  padding: 100px 0;
}
.page-header {
  margin: 0px 0px 50px;
}
.service-title {
  font-size: 4rem;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  text-transform: uppercase;
  line-height: 100px;
  margin-top: -40px;
}
.portfolio h1 {
  font-family: "Roboto", sans-serif;
  font-weight: bold;
  font-size: 2.2em;
  text-transform: uppercase;
}
.portfolio h1 span {
  border-bottom: 10px solid rgba(0, 0, 0, 0.05);
  display: inline-block;
  padding-bottom: 15px;
}

.portfolio p {
  padding-top: 15px;
}
.project {
  margin-bottom: 30px;
  min-height: 250px;
}
.project figure {
  position: relative;
}
.transparent-border {
  border: 1px solid #960000;
}

.project figure figcaption {
  position: absolute;
  left: 0;
  bottom: 0;
  right: 0;
  width: auto;
  height: auto;
  padding: 25px;
  height: 50%;
}
.details {
  background: #960000;
  color: #ffffff;
  padding: 15px;
  box-shadow: 0 2px 1px -2px #960000;
}

.detail-code-8 {
  background-image: url(../img/service-img/bg.jpg);
  background-color: #8f1e76;
  background-blend-mode: overlay;
  background-position: left;
}
.detail-code-8 .btn {
  background: rgba(252, 6, 6, 0.8);
}
.detail-code-10 {
  background-image: url(../img/service-img/Code-10-driving-lessons.jpg);
  background-color: #8f1e76;
  background-blend-mode: overlay;
  background-position: right;
}
.detail-code-10 .btn {
  background: rgba(252, 6, 6, 0.8);
}

.detail-code-14 {
  background-image: url(../img/service-img/code-14-lesson.jpg);
  background-color: #8f1e76;
  background-blend-mode: overlay;
  background-position: right;
  background-repeat: repeat;
}
.detail-code-14 .btn {
  background: rgba(252, 6, 6, 0.8);
}

.project h3 {
  margin: 20px 0px 20px;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: 1.6em;
  font-weight: normal;
  color: #eee;
}
.project h2 {
  margin: 0px 0px 20px;
}
.project h4 {
  margin: 30px 0px 40px;
  margin-left: 0;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: 1.1em;
}
.view {
  font-size: 14px;
  font-weight: bold;
}
.project .btn {
  outline: none;
  border-radius: 0;
  font-size: 1rem;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
}
.project .btn-booking {
  padding: 10px 15px 10px;
  font-size: 1.5rem;
}

.project .btn:hover {
  background: transparent;
  border: 1px solid #ffffff;
  color: #ffffff;
  cursor: pointer;
}
.view a {
  color: #eee;
  margin: 20px 0px 40px;
}
.view a:hover {
  text-decoration: none;
}

.details span .fa {
  font-size: 1em;
}
.table td,
.table th {
  padding: 0.75rem 0px 0.75rem;
}

/* ----our-service ----- */
#our-service {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url(../img/banner/bus-services-bg.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}
.our-service h1 {
  color: #fff;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: 4.6rem;
  line-height: 110px;
  text-transform: uppercase;
}

.our-service {
  background-image: linear-gradient(rgba(252, 6, 6, 0.8), rgba(139, 8, 8, 0.2)),
    url(../img/banner/banner-service.jpg);
  width: 100%;
  height: auto;
  background-size: cover;
  background-position: center right;
  background-attachment: fixed;
  color: #222;
}

/* ----Bus-Coach-Hire-Page */
.padding-service {
  padding-top: 0px !important;
}
.bus-coach-hire {
  background-image: linear-gradient(rgba(252, 6, 6, 0.8), rgba(139, 8, 8, 0.2)),
    url(../img/bus-background.jpg);
  width: 100%;
  height: auto;
  background-size: cover;
  background-position: center right;
  background-attachment: fixed;
  color: #ffffff;
}

.bg {
  background: url(../img/bg-service.jpg);
  background-position: center;
  background-attachment: fixed;
  background-size: cover;
  width: 100%;
  height: auto;
  color: #ffffff;
  text-shadow: 1px 1px 2px #960000;
}

/* new style update images */
.image {
  position: relative;
  /* width: 500px; */
}
.image__img {
  display: block;
  width: 100%;
}
.image__overlay {
  position: absolute;
  top: 0;
  left: 0px;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  color: #ffffff;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.25s;
}
.image__overlay > * {
  transform: translateY(20px);
  transition: transform 0.25s;
}
.image__overlay:hover > * {
  transform: translateY(0px);
}
.image__overlay:hover {
  opacity: 1;
  cursor: pointer;
}
.image__title {
  font-size: 2em;
  font-weight: 500;
}
.image__description {
  font-size: 1.25em;
  margin-top: 0.25em;
}

.bus-coach-hire img {
  width: 100%;
  padding-bottom: 80px;
}
#bus-hire {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url(../img/banner/banner-bus-coach-hire.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}
.title {
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  /* font-size: 1rem; */
  text-transform: uppercase;
  text-decoration: none;
  color: #960000;
  margin-bottom: 20px;
}
.title > h3 a {
  color: #8f1e76;
  font-size: 1em;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  text-decoration: none;
}
.title > h3 a:hover {
  text-decoration: none;
  cursor: pointer;
}
.c-border-list ul {
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: 1.2rem;
  text-decoration: none;
  list-style: none;
  /* padding: 1rem 0px 1rem; */
}
.c-border-list ul li {
  border-top: 0.75px solid #8f1e76;
  border-bottom: 0.75px solid #8f1e76;
  padding: 0.8rem 0px 0.8rem;
}
.c-border-list ul li a {
  text-decoration: none;
  color: #101010;
}
.c-border-list ul li a:hover {
  color: #8f1e76;
}

.coach-title {
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  text-transform: uppercase;
  font-size: 4rem;
  font-weight: 700;
  line-height: 90px;
  padding-top: 60px;
}
.btn-coach {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: -40px 0px 70px;
}
.btn-hire-coach {
  background: #960000;
  color: #ffffff;
  outline: none;
  border: none;
  border-radius: 0;
  font-size: 1.7rem;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-weight: 700;
  text-transform: uppercase;
}
.btn-hire-coach:hover {
  background: #101010;
  color: #ffffff;
  cursor: pointer;
}

/* ------contact page Howeeky ---- */
#contact-hw {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(rgba(252, 6, 6, 0.157), rgba(139, 8, 8, 0.2)),
    url(../img/banner/contact-banner.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}

/* -----Other training pages--- */
.training-bg {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url(../img/banner/bg-training.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}

/* ----contact-us ---- */
#contact-us {
  padding: 100px 0;
}

/* Footer */
#footer {
  padding: 70px 0px 15px;
  border-top: 1px solid #960000;
}
#footer img {
  width: 200px;
}

#footer h3 {
  color: #8f1e76;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-weight: 700;
  font-size: 1.5rem;
  text-transform: uppercase;
}
#footer .fa {
  font-size: 32px;
  margin: 20px 0px 20px;
  padding-left: 0;
}
#footer p {
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: 1rem;
  line-height: 3;
}
#footer a {
  color: #101010;
}
#footer a:hover {
  color: #8f1e76;
  cursor: pointer;
  text-decoration: none;
}
footer {
  padding: 32px 0;
  background: #000;
  color: #eee;
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  text-align: center;
}

.menu-btn {
  display: none;
}

.to-top {
  background: #8f1e76;
  position: fixed;
  bottom: 16px;
  right: 32px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 32px;
  color: #ffffff;
  text-decoration: none;
  opacity: 0;
  pointer-events: none;
  transition: all 0.4s;
}

.to-top.active {
  bottom: 32px;
  pointer-events: auto;
  opacity: 1;
}
/* --- copyright--- */
.copyright {
  font-size: 0.95rem;
  line-height: 20px;
}

/* Media Queries */

@media (max-width: 900px) {
  header h1 {
    font-size: 72px;
    text-align: center;
  }
  .hide-mobile {
    display: none;
  }
  nav {
    display: flex;
    height: 100vh;
    transform: scaleY(0) translateY(1200px);
    background: rgba(255, 255, 255, 0.8);
    transition: 0.4s;
  }

  nav.active {
    transform: scaleY(1) translateY(0px);
  }

  nav ul {
    margin: 0 auto;
    align-items: center;
    flex-direction: column;
    justify-content: center;
  }

  nav ul li {
    padding: 42px 0;
  }

  nav li a {
    font-size: 28px;
    position: relative;
    color: #101010;
  }

  nav li a:after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    height: 24px;
    width: 60%;
    margin: 20px auto;
    border-bottom: 1px solid #101010;
  }

  /* Menu Icon */
  .menu-btn {
    z-index: 10;
    color: #101010;
    display: block;
    position: fixed;
    right: 16px;
    top: -11px;
    font-size: 64px;
    transition: 0.4s;
    font-family: "Roboto Slab";
    cursor: pointer;
    transform: rotate(0deg);
  }

  .menu-btn.active {
    transform: rotate(45deg);
  }

  .logo a {
    font-size: 1.6rem;
  }
  .title_intro h2 {
    font-size: 3rem;
    line-height: 60px;
    margin: 40px 0px 20px;
    text-align: center;
  }
  /* --statement--- */
  .title h4 {
    text-align: center;
  }
  .text-intro {
    font-family: "Roboto", Arial, Helvetica, sans-serif;
    font-size: 1.5rem;
    font-weight: normal;
    text-align: center;
  }
  .text-intro > .btn {
    margin-top: 30px;
    outline: none;
    border: 0;
    font-size: 1.6rem;
    padding: 20px 18px 20px;
    text-transform: uppercase;
  }
  /* ---bus hire page banner */
  #bus-hire {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: url(../img/bg-service.jpg);
    /* width: 100%;
    height: 1000; */
    background-size: cover;
    background-position: center right;
    background-attachment: fixed;
    color: #ffffff;
  }
  .detail-code-8 .btn {
    position: relative;
    left: 0;
    top: 0;
  }
  /* ----home-banner--- */
  .home-banner {
    background-position: center;
  }
  /* ----our-service page--- */
  #our-service {
    background-position: center;
  }
}
